aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/weechat-logs
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/weechat-logs')
-rwxr-xr-xscripts/weechat-logs12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/weechat-logs b/scripts/weechat-logs
new file mode 100755
index 0000000..c7bc73c
--- /dev/null
+++ b/scripts/weechat-logs
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -eu
+
+while true; do
+ logfile="$(dialog --stdout --fselect ~/.weechat/logs/ 14 80)"
+ if [ ! -r "$logfile" -o ! -f "$logfile" ]; then
+ echo "Quitting..."
+ exit 0
+ fi
+ cat "$logfile" | weechat-log-colorize | less -iR
+done